
//------------------------------ DECLARATIONS -------------------------
#include <Wire.h>               //import de la bibliothèque I2C
#include <LiquidCrystal.h>      //import de la bibliothèque LCD
#define TC74_I2C_ADRESS   ....  //adresse de base sur 7 bits du circuit TC74A0 

String message="";           // variable String pour affichage des messages

//Température
int TEMP; 
byte temperature;

//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(..., ..., ..., ..., ..., ...);


//----------------- Initialisation --------------------------
//-----------------------------------------------------------
void setup()
{

  ...............; // Initialise le LCD avec 20 colonnes x 4 lignes  
  delay(10); // pause rapide pour laisser temps initialisation
  .............; // // efface l'écran et met le curseur en haut à gauche
  delay(10); // pour laisser temps effacer ecran
  
  Serial.println("--> SETUP ");
  Serial.begin(57600);

  
  //Initialisation TC74A : Sortie du mode Standby
   Serial.println("--> INIT TC74A");
   Wire.beginTransmission(TC74_I2C_ADRESS); // Début de transaction I2C
   Wire.write(........);   //Accès au Registre de configuration (Table 4-1) 
   Wire.write(........);  //réveil du circuit TC74: Arret du mode Standby et passage en mode normal (Table 4-2)
   delay(10);
   Wire.endTransmission();
      
   temperature = getTempTC74();  //Première lecture : Temp = 0 !
  
  // Message présentation projet


}


//----------------- Programme Principal----------------------
//-----------------------------------------------------------
void loop()
{





  
}



