
//----------------- getTempTC74 --------------------------
//-----------------------------------------------------------
byte getTempTC74()
{
byte temp;

   Wire.beginTransmission(TC74_I2C_ADRESS); // Début de transaction I2C
   Wire.write(0x00);
  
   Wire.requestFrom(TC74_I2C_ADRESS, 1,true);
   if (Wire.available()) {
     temp = Wire.read();
   } else {
     Serial.println("erreur lecture TEMP !");
   }
   delay(10);
   Wire.endTransmission();

   return temp; //renvoi la valeur numérique lue
}

void AffichageTemp(byte temperature){
    int TEMP;
    
    //Traitement si Temp négative : > 127 !
    if(temperature>127){
      TEMP = (int)(temperature - 256);
    }
    else{
      TEMP = (int)temperature;
    }
    
    //création du message
    message = "TEMP : ";
    message.concat(TEMP);
    message.concat(" ");
    message.concat((char)223);
    message.concat("C     ");
    
    //Transmission en série
    Serial.println(message);

    //Affichage LCD
    lcd.setCursor(0,1);
    lcd.print(message);
    
    message = ""; 
  
}
