//----------------- getCAN --------------------------
//-----------------------------------------------------------
int getCAN(byte canal)
{
int Nconv;
int data1 = 0;
int data2 = 0;

   //Ecriture registre de contrôle
   .................      // Début de transaction I2C
   .................      //Octet de controle : Debut conversion (Table 1) sur canal n (table 2) à Vref = 0-5V (Table 3) mode normal (Table 4)
   .................      //Fin transmission
   delay(10); 
   
   //Lecture des données
   .................      // Début de transaction I2C
   .................      //Demande de Lecture des deux octets MSB et LSB
   
   if (Wire.available()==2) {
     data1 = Wire.read();     //lecture MSB
     data2 = Wire.read();     //Lecture LSB
   } else {
     Serial.println("erreur lecture MAX127 !");
   }
   Wire.endTransmission();

   /*Debogage*/  
   Serial.print("data1 : %");
   Serial.print(data1, BIN);
   Serial.print("  data2 : %");
   Serial.print(data2, BIN);
   
   /*  Reconstitution donnée sur 16 bits*/   
   .................   //4 Déclages à gauche octet MSB
   .................   //4 Déclages à droite octet LSB
   .................   //assocciation des 2 octets sur Nconv ( 16 bits)

   /*  Debogage */
   Serial.print("  canal : $");
   Serial.print(canal, HEX);
   Serial.print("  Nconv: %");
   Serial.print(Nconv, BIN);
   Serial.print("  -> $");
   Serial.print(Nconv, HEX);
   Serial.print("  -> ");
   Serial.println(Nconv, DEC);
   
   return Nconv;    //retourne la valeur de conversion
}


//----------------- AffichagePuissance--------------------------
//-----------------------------------------------------------
void AffichagePuissance(double puissance, double courant, double tension)
{
    //Affichage U et I sur LCD
    .................
    
    //Affichage Puissance sur LCD
    .................
    
    message = ""; 
  
}
