//  TP3 - Mesure du courant et de la tension pour le calcul de la puissance
//--------------------------------------------------------------------------

//------------------------------ DECLARATIONS -------------------------
#include <Wire.h>                 //import de la bibliothèque I2C
#include <LiquidCrystal.h>        //import de la bibliothèque LCD

#define MAX127_I2C_ADRESS .................   //adresse de base sur 7 bits du circuit MAX127 

String message = "";         // variable String pour affichage des messages

//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(27, 26, 25, 24, 23, 22);

//----------------- Initialisation --------------------------
//-----------------------------------------------------------
void setup()
{
  int Nconv;
  int canal;

  lcd.begin(20, 4); // Initialise le LCD avec 20 colonnes x 4 lignes
  delay(10); // pause rapide pour laisser temps initialisation
  lcd.clear(); // // efface l'écran et met le curseur en haut à gauche
  delay(10); // pour laisser temps effacer \u00e9cran

  Serial.begin(9600);
  Serial.println("--> SETUP ");

  // Message présentation projet
  .................

  //Initialisation BUS I2C
  Wire.begin();
  delay(10);

  //initialisation MAX127 : Mode Normal + lecture de tous les Canaux
  Serial.println("--> INIT MAX127");
  for (int i = 0; i < 8; i++)
  {
    canal = 0x80 | 16 * i;
    Nconv = getCAN(canal);
  }

  delay(1000);
  lcd.clear();

  Serial.println("------ DEBUT PROGRAMME ------- ");
}

//----------------- Programme Principal----------------------
//-----------------------------------------------------------
void loop()
{
  int Nconv = 0;
  double puissanceELEC;
  double courant, tension;

  //Traitement courant et Tension
  Serial.print("--> LECTURE MAX127 : ");

  //Conversion A/N du courant
  .................

  //Conditionnement du courant en fonction de Nconv
  .................

  //Conversion A/N de la tension
  .................

  //Conditionnement de la tension en fonction de Nconv
  .................

  //calcul de la puissance électrique
  .................

  //Transmission des infos debogage : création du message
  message = "I : ";
  message.concat(courant);
  message.concat("A ");
  message.concat (" U : ");
  message.concat(tension);
  message.concat("V ");
  message.concat(" -> P :");
  message.concat(puissanceELEC);
  message.concat("W ");
  Serial.println(message);

  //affichage du résultat sur LCD
  .................

  delay(1000);
}



