#include <LiquidCrystal.h>
#include <Wire.h>

#define ADDR_I2C_EEPROM .........  // Address du circuit 24LC256 (A0-A2 = 0)

int address = 0;
String message = "";
float temperature = 0;


//Initialisation des broches de l'afficheur : lcd(rs, rw, enable, d4, d5, d6, d7)
LiquidCrystal lcd(32, 30, 28, 26, 24, 22);

void setup()
{

  ................. //initialise le BUS Série
  ................. //initialise le BUS I2C
  lcd.begin(20, 4); //initialise l'afficheur LCD

  // Message présentation projet
  .................

  delay(1000);
  lcd.clear();
}


void loop()
{
  byte Octet1, Octet2;
  unsigned int NTEMP;
  
  //Conversion de la tension image de la Température sur A0 -> NTEMP
  NTEMP = ................. ;

  //Conditionnement et Affichage sur LCD de la Température
  temperature = ................. ;
  lcd.setCursor(0, 1);
  lcd.print(.................);

  //Décomposition du Mot NTEMP en 2 Octets
  Octet1 = ................. ;
  Octet2 = ................. ;

  //Ecriture en mémoire EEPROM des deux octets
  //----------------------------------------------------------------------------------------------------------
  writeEEPROM(................., ................. , .................);  //Ecriture de l'octet MSB
  delay(20);

  writeEEPROM(................., ................. , .................);  //Ecriture de l'octet LSB
  delay(20);

  address = address + 2;    //on incrémente l'adresse EEPROM de +2

  //affichage des 4 dernières valeurs mémorisées une fois adress > 6 (0 -> 2 -> 4 -> 6 ... = 4 valeurs enregistrées)
  //----------------------------------------------------------------------------------------------------------
  if (address > 6) {

    Serial.println("Lecture des donnees ... ");
    message = "";

    //On boucle 4 fois pour afficher les 4 dernières valeurs
    for (int i = address - 8; i <= address - 2; i += 2) {

      //Lecture des Octets LSB et MSB
      .................
      .................

      //Reconstruction du MOT NTEMP à partir des 2 octets
      .................

      //Conditionnement de la Température
      .................

      //Préparation du message à Afficher
      if (temperature >= 10) {
        message += DoubleToString(temperature, 1) + " ";
      } else {
        message += DoubleToString(temperature, 2) + " ";
      }

    }
    

    //Affichage des données enregistrées sur ligne 4 du LCD
    lcd.setCursor(......., .......);
    lcd.print(message);

  }
  delay(1000);
}


